Skip to content

appExperience.import

POST
/v1/app-experience/import
curl --request POST \
--url https://example.com/v1/app-experience/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "format": "openbot-apps-v1", "apps": [ { "name": "example", "cardUrl": "example", "remoteIndex": 1 } ] }'
Media typeapplication/json
object
format
required
string
Allowed values: openbot-apps-v1
apps
required
Array<object>
<= 30 items
object
name
required
string
<= 80 characters
cardUrl
required
string
remoteIndex
required
integer
<= 9007199254740991

Success

Media typeapplication/json
object
entries
required
Array<object>
object
entry
required
object
name
required
string
<= 80 characters
cardUrl
required
string
remoteIndex
required
integer
<= 9007199254740991
draft
required
Any of:
object
id
required
string
>= 1 characters
revision
required
integer
<= 9007199254740991
input
required
string
>= 1 characters
discovery
required
Any of:
object
_tag
required
string
Allowed values: Single
candidate
required
object
cardUrl
required
string
card
required
object
$schema
required
string
Allowed values: https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json
name
required
string
>= 2 characters <= 200 characters
version
required
string
>= 1 characters <= 255 characters
description
required
string
>= 1 characters <= 100 characters
title
Any of:
string
>= 1 characters <= 100 characters
websiteUrl
Any of:
string
repository
Any of:
object
url
required
string
source
required
string
subfolder
Any of:
string
id
Any of:
string
icons
Any of:
Array<object>
object
src
required
string
mimeType
Any of:
string
sizes
Any of:
Array<string>
theme
Any of:
string
Allowed values: light dark
remotes
Any of:
Array<object>
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
_meta
Any of:
object
endpoints
required
Array<object>
object
index
required
integer
<= 9007199254740991
remote
required
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
requirements
required
Array<object>
object
key
required
string
description
Any of:
string
isSecret
required
boolean
format
Any of:
string
choices
Any of:
Array<string>
sources
required
Array<object>
object
role
required
string
Allowed values: input page catalog card endpoint manual
url
required
string
originalInput
Any of:
string
issues
required
Array<object>
object
url
required
string
reason
required
string
fieldPath
string
expiresAt
required
number
imported
object
name
required
string
<= 80 characters
remoteIndex
required
integer
<= 9007199254740991
error
required
Any of:
string

Example

{
"entries": [
{
"draft": {
"discovery": {
"_tag": "Single",
"candidate": {
"card": {
"$schema": "https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json",
"icons": [
{
"theme": "light"
}
],
"remotes": [
{
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
]
},
"endpoints": [
{
"remote": {
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
}
],
"sources": [
{
"role": "input"
}
]
}
}
}
}
]
}

ExperienceInputInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExperienceInputInvalid
message
required
string

Example

{
"_tag": "ExperienceInputInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve agents.read agents.write agents.delegate connections.read connections.write apps.use apps.publish models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

ExperienceNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ExperienceNotFound
id
required
string

Example

{
"_tag": "ExperienceNotFound"
}

ExperienceStorageUnavailable | AuthorizationUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ExperienceStorageUnavailable

Example

{
"_tag": "ExperienceStorageUnavailable"
}